%define libname		%mklibname %{name}
%define giolibname	%mklibname gio 2.0 0

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Network-related GIO modules
Name:		glib-networking
Version:	2.32.1
Release:	%mkrel 1
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gnome.org/
BuildRequires:	glib2-devel >= 2.29.16
BuildRequires:	pkgconfig(libproxy-1.0) >= 0.3.1
BuildRequires:	intltool
BuildRequires:	pkgconfig(gnutls) >= 2.12.8
BuildRequires:	pkgconfig(p11-kit-1) >= 0.8
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
Requires:	%{libname} = %{version}-%{release}

%description
This package contains the network-related GIO modules for Glib.

%package -n %{libname}
Summary:	Network-related GIO modules
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Requires(post):		%{giolibname} >= 2.23.4-2mdv
Requires(postun):	%{giolibname} >= 2.23.4-2mdv

%description -n %{libname}
This package contains the network-related GIO modules for Glib.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %buildroot%_libdir/gio/modules/*.la

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -n %{libname}
%{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules 

%postun -n %{libname}
if [ "$1" = "0" ]; then
   %{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_libexecdir}/glib-pacrunner
%{_datadir}/dbus-1/services/org.gtk.GLib.PACRunner.service

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/gio/modules/libgiolibproxy.so
%{_libdir}/gio/modules/libgiognutls.so
%{_libdir}/gio/modules/libgiognomeproxy.so


%changelog

* Mon Apr 16 2012 ovitters <ovitters> 2.32.1-1.mga2
+ Revision: 231128
- new version 2.32.1

* Mon Mar 26 2012 ovitters <ovitters> 2.32.0-1.mga2
+ Revision: 226892
- new version 2.32.0

* Mon Mar 19 2012 ovitters <ovitters> 2.31.22-1.mga2
+ Revision: 224537
- new version 2.31.22

* Tue Mar 06 2012 fwang <fwang> 2.31.20-1.mga2
+ Revision: 219637
- new version 2.31.20

* Thu Feb 09 2012 wally <wally> 2.31.16-1.mga2
+ Revision: 206723
- new version 2.31.16

* Tue Dec 20 2011 fwang <fwang> 2.31.6-1.mga2
+ Revision: 184764
- new version 2.31.6

* Tue Nov 22 2011 fwang <fwang> 2.31.2-1.mga2
+ Revision: 170730
- new version 2.31.2

* Thu Oct 27 2011 wally <wally> 2.31.0-1.mga2
+ Revision: 158654
- new version 2.31.0

* Tue Oct 18 2011 fwang <fwang> 2.30.1-1.mga2
+ Revision: 156030
- new version 2.30.1

* Tue Sep 27 2011 fwang <fwang> 2.30.0-1.mga2
+ Revision: 149079
- new versino 2.30.0

* Tue Sep 20 2011 fwang <fwang> 2.29.92-1.mga2
+ Revision: 145858
- new version 2.29.92

* Wed Aug 31 2011 fwang <fwang> 2.29.18-1.mga2
+ Revision: 136835
- new version 2.29.18
- this patch not needed now
- bump glib req
- new version 2.29.15
- br gcrypt
- rebuild for new gnutls

  + dmorgan <dmorgan>
    - Port to new gnutls gnutls_certificate_verify_peers2 API

* Wed Jul 06 2011 wally <wally> 2.29.9-1.mga2
+ Revision: 119245
- new version 2.29.9
- use .tar.xz source
- clean .spec a bit

  + dmorgan <dmorgan>
    - Fix file list
    - Fix file list

* Thu Jun 09 2011 dmorgan <dmorgan> 2.28.7-1.mga2
+ Revision: 102523
- New version 2.28.7

* Fri Apr 15 2011 ahmad <ahmad> 2.28.5-1.mga1
+ Revision: 85781
- update to 2.28.5
- add BR gnutls-devel
- add requires on %%libname to the main package
- use the %%{__isa_bits} in %%post/postun

* Mon Mar 07 2011 dmorgan <dmorgan> 2.26.0-1.mga1
+ Revision: 66290
- imported package glib-networking


* Wed Oct 13 2010 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2011.0
+ Revision: 585446
- update to new version 2.26.0

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 2.25.0-1mdv2011.0
+ Revision: 574667
- import glib-networking

